Bug 755440 (CVE-2011-4324) - CVE-2011-4324 kernel: nfsv4: mknod(2) DoS
Summary: CVE-2011-4324 kernel: nfsv4: mknod(2) DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4324
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 754901 755442 782690
Blocks: 755438
TreeView+ depends on / blocked
 
Reported: 2011-11-21 06:50 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:48 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 07:58:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0007 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2012-01-11 01:02:46 UTC

Description Eugene Teo (Security Response) 2011-11-21 06:50:02 UTC
Creating a file with mknod(2) syscall on a nfsv4 mount can trigger BUG().

Comment 2 Eugene Teo (Security Response) 2011-11-21 06:55:52 UTC
Eryu Guan 2011-11-18 02:16:30 EST

Upstream commit

commit dc0b027dfadfcb8a5504f7d8052754bf8d501ab9
Author: Trond Myklebust <Trond.Myklebust@netapp.com>
Date:   Tue Dec 23 15:21:56 2008 -0500

    NFSv4: Convert the open and close ops to use fmode

    Signed-off-by: Trond Myklebust <Trond.Myklebust@netapp.com>

removed the BUGON() at fs/nfs/nfs4xdr.c:894

Comment 4 Eugene Teo (Security Response) 2011-11-21 06:58:22 UTC
Statement:

This issue did not affect the Linux kernels as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as they did not have the vulnerable code as introduced in history:1a7bc914. This has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2012-0007.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.

Comment 5 errata-xmlrpc 2012-01-10 20:09:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0007 https://rhn.redhat.com/errata/RHSA-2012-0007.html

Comment 6 Eugene Teo (Security Response) 2012-01-18 07:16:09 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 782690]


Note You need to log in before you can comment on or make changes to this bug.